<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс CalendarDialog</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Сигналы</a> &#124;
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classCalendarDialog-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс CalendarDialog</div>  </div>
</div><!--header-->
<div class="contents">

<p>Диалог, в котором можно выбрать дату  
 <a href="classCalendarDialog.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:CalendarDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classCalendarDialog__inherit__graph.png" border="0" usemap="#CalendarDialog_inherit__map" alt="Inheritance graph"/></div>
<map name="CalendarDialog_inherit__map" id="CalendarDialog_inherit__map">
<area shape="rect" title="Диалог, в котором можно выбрать дату" alt="" coords="5,80,128,107"/>
<area shape="rect" title=" " alt="" coords="35,5,99,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса CalendarDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classCalendarDialog__coll__graph.png" border="0" usemap="#CalendarDialog_coll__map" alt="Collaboration graph"/></div>
<map name="CalendarDialog_coll__map" id="CalendarDialog_coll__map">
<area shape="rect" title="Диалог, в котором можно выбрать дату" alt="" coords="5,80,128,107"/>
<area shape="rect" title=" " alt="" coords="35,5,99,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Сигналы</h2></td></tr>
<tr class="memitem:a53fd05ff5678eb0353404eb4596cf4bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCalendarDialog.html#a53fd05ff5678eb0353404eb4596cf4bd">okClicked</a> ()</td></tr>
<tr class="memdesc:a53fd05ff5678eb0353404eb4596cf4bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Сигнал о том, что нажата кнопка "Ok".  <a href="classCalendarDialog.html#a53fd05ff5678eb0353404eb4596cf4bd">Подробнее...</a><br /></td></tr>
<tr class="separator:a53fd05ff5678eb0353404eb4596cf4bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:afeec3a08810964a222ed53aa1e7ab501"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCalendarDialog.html#afeec3a08810964a222ed53aa1e7ab501">show</a> (x)</td></tr>
<tr class="memdesc:afeec3a08810964a222ed53aa1e7ab501"><td class="mdescLeft">&#160;</td><td class="mdescRight">Данная функция необходима для того, чтобы установить дату с кнопки в календарь, иначе календарь откроется с текущей датой  <a href="classCalendarDialog.html#afeec3a08810964a222ed53aa1e7ab501">Подробнее...</a><br /></td></tr>
<tr class="separator:afeec3a08810964a222ed53aa1e7ab501"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a9f52b9bc6f3c11a6b6cd7097a037cb56"><td class="memItemLeft" align="right" valign="top">date&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCalendarDialog.html#a9f52b9bc6f3c11a6b6cd7097a037cb56">selectDate</a></td></tr>
<tr class="memdesc:a9f52b9bc6f3c11a6b6cd7097a037cb56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Выбранная дата  <a href="classCalendarDialog.html#a9f52b9bc6f3c11a6b6cd7097a037cb56">Подробнее...</a><br /></td></tr>
<tr class="separator:a9f52b9bc6f3c11a6b6cd7097a037cb56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f356f283ef7602db7d0c7af83323575"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCalendarDialog.html#a7f356f283ef7602db7d0c7af83323575">currentDate</a></td></tr>
<tr class="memdesc:a7f356f283ef7602db7d0c7af83323575"><td class="mdescLeft">&#160;</td><td class="mdescRight">Текущая дата  <a href="classCalendarDialog.html#a7f356f283ef7602db7d0c7af83323575">Подробнее...</a><br /></td></tr>
<tr class="separator:a7f356f283ef7602db7d0c7af83323575"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Диалог, в котором можно выбрать дату </p>

<p class="definition">См. определение в файле <a class="el" href="CalendarDialog_8qml_source.html">CalendarDialog.qml</a> строка <a class="el" href="CalendarDialog_8qml_source.html#l00015">15</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a53fd05ff5678eb0353404eb4596cf4bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53fd05ff5678eb0353404eb4596cf4bd">&#9670;&nbsp;</a></span>okClicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CalendarDialog::okClicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Сигнал о том, что нажата кнопка "Ok". </p>

</div>
</div>
<a id="afeec3a08810964a222ed53aa1e7ab501"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afeec3a08810964a222ed53aa1e7ab501">&#9670;&nbsp;</a></span>show()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CalendarDialog::show </td>
          <td>(</td>
          <td class="paramtype">x&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Данная функция необходима для того, чтобы установить дату с кнопки в календарь, иначе календарь откроется с текущей датой </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="a7f356f283ef7602db7d0c7af83323575"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f356f283ef7602db7d0c7af83323575">&#9670;&nbsp;</a></span>currentDate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var CalendarDialog::currentDate</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Текущая дата </p>

<p class="definition">См. определение в файле <a class="el" href="CalendarDialog_8qml_source.html">CalendarDialog.qml</a> строка <a class="el" href="CalendarDialog_8qml_source.html#l00023">23</a></p>

</div>
</div>
<a id="a9f52b9bc6f3c11a6b6cd7097a037cb56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f52b9bc6f3c11a6b6cd7097a037cb56">&#9670;&nbsp;</a></span>selectDate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">date CalendarDialog::selectDate</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Выбранная дата </p>

<p class="definition">См. определение в файле <a class="el" href="CalendarDialog_8qml_source.html">CalendarDialog.qml</a> строка <a class="el" href="CalendarDialog_8qml_source.html#l00021">21</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="CalendarDialog_8qml_source.html">CalendarDialog.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
